Page MenuHomePhabricator

Link inspector shows duplicate underscored title as first option
Closed, ResolvedPublic

Description

Parsoid always returns the link with underscores, even if it has spaces in the wikitext. We should use the normalised version with spaces and not show an extra match, which is missing an icon and description.

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : masterFix link normalization when opening inspector

Event Timeline

Esanders created this task.Jun 26 2019, 2:56 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 26 2019, 2:56 PM
Esanders renamed this task from Link inspector shows underscored title as first option to Link inspector shows duplicate underscored title as first option.Jun 26 2019, 3:18 PM
Esanders updated the task description. (Show Details)

Change 519242 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Fix link normalization when opening inspector

https://gerrit.wikimedia.org/r/519242

Could this be the reason behind T225847?

Yep, looks like the same issue.

Change 519242 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Fix link normalization when opening inspector

https://gerrit.wikimedia.org/r/519242

matmarex moved this task from Inbox to Low Priority on the Editing QA board.Jul 1 2019, 4:45 PM
ppelberg closed this task as Resolved.Sep 3 2019, 12:11 AM
ppelberg claimed this task.